
package com.lideeyunji.core.framework.enhance.example.report.lin;


import com.lideeyunji.core.framework.config.aspect.enhance.model.EnhanceResult;
import com.lideeyunji.core.framework.config.aspect.enhancereport.model.EnhanceReportContext;
import com.lideeyunji.core.framework.config.aspect.enhancereport.plugin.ReportAfterAdvicePlugin;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author JX
 * @create 2024-08-19 15:05
 * @dedescription:
 */
@Component("linReportClassEnhance")
public class ExampleLinReportClassEnhance implements ReportAfterAdvicePlugin {

    @Override
    public void execute(EnhanceReportContext enhanceContext) {
        EnhanceResult result = enhanceContext.getResult();
        List<Map<String, Object>> records = result.getRecords();
        Map<String, Object> addMap=new HashMap<>();
        addMap.put("sex","未知");
        addMap.put("cou","其他");
        records.add(addMap);
    }
}
